Summary:	An IDE tailored to the needs of Qt developers
Summary(pl.UTF-8):	IDE dostosowane do potrzeb developerow Qt
Name:		qt-creator
Version:	3.4.1
Release:	1
Epoch:		1
License:	LGPL v2.1
Group:		X11/Development/Tools
Source0:	http://download.qt-project.org/official_releases/qtcreator/3.4/%{version}/%{name}-opensource-src-%{version}.tar.gz
# Source0-md5:	bcbae4a567c93158babe3b7f42d01219
Source1:	%{name}.desktop
Patch0:		%{name}-pluginpath64.patch
Patch1:		%{name}-pluginpathx32.patch
URL:		http://qt.digia.com/Product/Developer-Tools
BuildRequires:	Qt5Concurrent-devel >= 5.3.1
BuildRequires:	Qt5Declarative-devel >= 5.3.1
BuildRequires:	Qt5Designer-devel >= 5.3.1
BuildRequires:	Qt5Gui-devel >= 5.3.1
BuildRequires:	Qt5Help-devel >= 5.3.1
BuildRequires:	Qt5Network-devel >= 5.3.1
BuildRequires:	Qt5Script-devel >= 5.3.1
BuildRequires:	Qt5Svg-devel >= 5.3.1
BuildRequires:	Qt5WebKit-devel >= 5.3.1
BuildRequires:	Qt5Xml-devel >= 5.3.1
BuildRequires:	gdb
BuildRequires:	qt5-build >= 5.3.1
BuildRequires:	qt5-linguist
BuildRequires:	qt5-qmake >= 5.3.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.602
Requires(post,postun):	desktop-file-utils
%requires_eq	Qt5Core
Requires:	Qt5Sql
Requires:	hicolor-icon-theme
# for xdg-open
Suggests:	xdg-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt Creator is a cross-platform integrated development environment
(IDE) tailored to the needs of Qt developers.

%description -l pl.UTF-8
Qt Creator to wieloplatformowe IDE dostosowane do potrzeb developerow
Qt.

%prep
%setup -q -n %{name}-opensource-src-%{version}

%if "%{_lib}" == "lib64"
%patch0 -p1
%endif
%if "%{_lib}" == "libx32"
%patch1 -p1
%endif

# fix unresolved symbols in libQtcSsh
echo >> src/libs/ssh/ssh_dependencies.pri
echo "LIBS += -ldl" >> src/libs/ssh/ssh_dependencies.pri

%build
export QTDIR=%{_libdir}/qt5
# the qmakespec in qt4 is somewhat broken, need to look at this
#export QMAKESPEC=%{_datadir}/qt4/mkspecs/linux-g++/

qmake-qt5 qtcreator.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_LINK="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcflags}" \
	QMAKE_RPATH=

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

export QTDIR=%{_libdir}/qt5
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix}

%if "%{_lib}" != "lib"
mv -f $RPM_BUILD_ROOT{%{_prefix}/lib,%{_libdir}}
%endif

install -d $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/qtcreator" > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/qtcreator.conf

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

# not supported by hicolor-icon-theme
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/hicolor/512x512

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/buildoutputparser
%attr(755,root,root) %{_bindir}/qbs
%attr(755,root,root) %{_bindir}/qbs-config
%attr(755,root,root) %{_bindir}/qbs-config-ui
%attr(755,root,root) %{_bindir}/qbs-qmltypes
%attr(755,root,root) %{_bindir}/qbs-setup-android
%attr(755,root,root) %{_bindir}/qbs-setup-qt
%attr(755,root,root) %{_bindir}/qbs-setup-toolchains
%attr(755,root,root) %{_bindir}/qml2puppet
%attr(755,root,root) %{_bindir}/qmlpuppet
%attr(755,root,root) %{_bindir}/qtcreator
%attr(755,root,root) %{_bindir}/qtcreator_process_stub
%attr(755,root,root) %{_bindir}/qtpromaker
%attr(755,root,root) %{_bindir}/sdktool
%{_sysconfdir}/ld.so.conf.d/qtcreator.conf
%dir %{_libdir}/qtcreator
%attr(755,root,root) %{_libdir}/qtcreator/lib*.so.*.*
%attr(755,root,root) %{_libdir}/qtcreator/lib*.so
%attr(755,root,root) %ghost %{_libdir}/qtcreator/lib*.so.1
%dir %{_libdir}/qtcreator/plugins
%attr(755,root,root) %{_libdir}/qtcreator/plugins/lib*.so
%dir %{_libdir}/qtcreator/plugins/qbs
%dir %{_libdir}/qtcreator/plugins/qbs/plugins
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qbs/plugins/libqbs_cpp_scanner.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qbs/plugins/libqbs_qt_scanner.so
%dir %{_libdir}/qtcreator/plugins/qmldesigner
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qmldesigner/libcomponentsplugin.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qmldesigner/libqtquickplugin.so
%{_datadir}/qtcreator
%{_desktopdir}/qt-creator.desktop
%{_iconsdir}/hicolor/*/*/*.png
%changelog
* Thu Jun 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt-creator.git;a=log;h=master

* Thu Jun 25 2015 Jan Rękorajski <baggins@pld-linux.org> cd01c35
- updated files
- fixed build/install in x32

* Wed Jun 24 2015 Jan Rękorajski <baggins@pld-linux.org> dd3dfda
- more qt5

* Wed Jun 24 2015 Jan Rękorajski <baggins@pld-linux.org> a18d73a
- bump reqs to Qt5

* Wed Jun 24 2015 Jan Rękorajski <baggins@pld-linux.org> 78e69ec
- up to 3.4.1

* Wed Jun 10 2015 Elan Ruusamäe <glen@delfi.ee> ed875dd
- update BR (gdb there is weird, but fails to compile otherwise)

* Thu May 22 2014 Jan Rękorajski <baggins@pld-linux.org> eedfdc8
- up to 2.7.2
- new source URL

* Mon Apr 15 2013 Karol Krenski <charles@pld-linux.org> 36cf551
- updated to 2.7.0

* Fri Feb 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 221dc81
- Update icon filename

* Sat Jan 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> f0253cb
- Update to 2.6.1

* Fri Dec 07 2012 Jan Rękorajski <baggins@pld-linux.org> fca306b
- release 2 (by relup.sh)

* Thu Nov 08 2012 Karol Krenski <charles@pld-linux.org> e311232
- updated to 2.6.0
- updated Source0 and URL

* Thu Sep 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0426944
- release 2 (by relup.sh)

* Mon Aug 13 2012 Karol Krenski <charles@pld-linux.org> b54e6fc
- up to 2.5.2

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> 735c311
- release 2 (by relup.sh)

* Fri May 11 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 4a3ca2f
- updated to 2.5.0

* Thu Apr 05 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 7991f24
- release 2

* Sun Feb 05 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 3ead998
- updated to 2.4.1

* Fri Jan 20 2012 Bartłomiej Zimoń <cactus@pld-linux.org> 3d2b5d0
- rel 2

* Mon Dec 19 2011 Karol Krenski <charles@pld-linux.org> 1e39339
- updated to 2.4.0

* Mon Oct 10 2011 Karol Krenski <charles@pld-linux.org> fcc6922
- up to 2.3.1

